## org.apache.commons.math3.optimization.direct
Interface MultivariateFunctionMappingAdapter.Mapper

All Known Implementing Classes:
  MultivariateFunctionMappingAdapter.LowerBoundMapper, MultivariateFunctionMappingAdapter.LowerUpperBoundMapper, MultivariateFunctionMappingAdapter.NoBoundsMapper, MultivariateFunctionMappingAdapter.UpperBoundMapper

Enclosing class:
  MultivariateFunctionMappingAdapter

    private static interface MultivariateFunctionMappingAdapter.Mapper

Mapping interface.

Method Summary
`double` `boundedToUnbounded(double x)` Map a value from bounded to unbounded.
`double` `unboundedToBounded(double y)` Map a value from unbounded to bounded.

Method Detail

### unboundedToBounded

    double unboundedToBounded(double y)

  Map a value from unbounded to bounded.

  Parameters:
    `y` - unbounded value
  Returns:
    bounded value

### boundedToUnbounded

    double boundedToUnbounded(double x)

  Map a value from bounded to unbounded.

  Parameters:
    `x` - bounded value
  Returns:
    unbounded value

Copyright (c) 2003-2013 Apache Software Foundation